log4cplus::spi::LogLevelRangeFilter Class Reference

This is a very simple filter based on LogLevel matching, which can be used to reject messages with LogLevels outside a certain range. More...

`#include <filter.h>`

Inheritance diagram for log4cplus::spi::LogLevelRangeFilter:
[legend]
Collaboration diagram for log4cplus::spi::LogLevelRangeFilter:
[legend]

## Public Member Functions

| LogLevelRangeFilter ()
| LogLevelRangeFilter (const log4cplus::helpers::Properties &p)
virtual FilterResult | decide (const InternalLoggingEvent &event) const
| Return the decision of this filter.
Public Member Functions inherited from log4cplus::spi::Filter
| Filter ()
virtual | ~Filter ()
void | appendFilter (FilterPtr filter)
| Appends `filter` to the end of this filter chain.
Public Member Functions inherited from log4cplus::helpers::SharedObject
void | addReference () const LOG4CPLUS_NOEXCEPT
void | removeReference () const

## Additional Inherited Members

Public Attributes inherited from log4cplus::spi::Filter
FilterPtr | next
| Points to the next filter in the filter chain.
Public Attributes inherited from log4cplus::helpers::SharedObject
thread::Mutex | access_mutex
Protected Member Functions inherited from log4cplus::helpers::SharedObject
| SharedObject ()
| SharedObject (const SharedObject &)
| SharedObject (SharedObject &&)
virtual | ~SharedObject ()
SharedObject & | operator= (const SharedObject &) LOG4CPLUS_NOEXCEPT
SharedObject & | operator= (SharedObject &&) LOG4CPLUS_NOEXCEPT

## Detailed Description

This is a very simple filter based on LogLevel matching, which can be used to reject messages with LogLevels outside a certain range.

The filter admits three options LogLevelMin, LogLevelMax and AcceptOnMatch.

If the LogLevel of the Logging event is not between Min and Max (inclusive), then `DENY` is returned.

If the Logging event LogLevel is within the specified range, then if AcceptOnMatch is true, `ACCEPT` is returned, and if AcceptOnMatch is false, `NEUTRAL` is returned.

If `LogLevelMin` is not defined, then there is no minimum acceptable LogLevel (ie a LogLevel is never rejected for being too "low"/unimportant). If `LogLevelMax` is not defined, then there is no maximum acceptable LogLevel (ie a LogLevel is never rejected for beeing too "high"/important).

Refer to the `setThreshold` method available to `all` appenders for a more convenient way to filter out events by LogLevel.

Definition at line 228 of file filter.h.

## Constructor & Destructor Documentation

## LogLevelRangeFilter() [1/2]

log4cplus::spi::LogLevelRangeFilter::LogLevelRangeFilter | ( |  | ) |

## LogLevelRangeFilter() [2/2]

log4cplus::spi::LogLevelRangeFilter::LogLevelRangeFilter | ( | const log4cplus::helpers::Properties & | p | ) |

## Member Function Documentation

## decide()

virtual FilterResult log4cplus::spi::LogLevelRangeFilter::decide | ( | const InternalLoggingEvent & | event | ) | const

virtual

Return the decision of this filter.

Implements log4cplus::spi::Filter.

References LOG4CPLUS_PRIVATE.

The documentation for this class was generated from the following file:

- filter.h